Receive ActivityPub activities
POST
/api/v1/activitypub/user/{handle}/inbox
const url = 'https://example.com/api/v1/activitypub/user/example/inbox';const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/activitypub/user/example/inbox \ --header 'Content-Type: application/json' \ --data '{}'Receives and processes incoming ActivityPub activities (Create, Update, Delete, Follow, etc.)
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” handle
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
Example generated
{}Responses
Section titled “ Responses ”Activity processed
Bad Request
Internal Server Error